Cyberduck Mountain Duck CLI

#7187 closed defect (thirdparty)

404 response for HEAD request

Reported by: billhuber01 Owned by: dkocher
Priority: highest Milestone: 4.3.1
Component: webdav Version: 4.3
Severity: blocker Keywords: webdav
Cc: Architecture:
Platform: Windows 7

Description

We have been using Cyberduck 4.2.1 and 4.2.2 just fine with our WebDAV server. Upon upgrading to Cyberduck 4.3, we are unable to open a connection the our WebDAV server. In return we get a 404 error, not found.

I have actually tried this on two different WebDAV servers: the Apache Web Server and one included as part of Nuxeo. They both failed. The returned output on the failed Cyberduck screen is shown in the attached screen shot.

Needless to say, this is a seriously blocking problem unless there is some way to configure Cyberduck in 4.3 to work around the problem. Is there anything like that?

Attachments (2)

cyberduck_connect_problem.doc (37.0 KB) - added by billhuber01 on Apr 30, 2013 at 4:29:15 PM.
screenshot of failure
Screen Shot 2013-05-02 at 15.00.57.png (61.9 KB) - added by dkocher on May 2, 2013 at 1:01:28 PM.

Download all attachments as: .zip

Change History (13)

Changed on Apr 30, 2013 at 4:29:15 PM by billhuber01

screenshot of failure

comment:1 Changed on May 1, 2013 at 7:16:53 PM by dkocher

Please post the transcript from the log drawer (Ctrl-L).

comment:2 follow-ups: Changed on May 1, 2013 at 8:12:11 PM by billhuber01

I don't have any idea what a log drawer is. If Cyberduck has a log, I don't know about it (but would like to).

Examples of the access log from the Apache web server are as follows:

mediaconsole.pearsoncmg.com:2013_05_01:console1:access.log:192.251.134.5 - uhubewi [01/May/2013:15:52:09 -0400] "HEAD /mdc/dav/media/ HTTP/1.1" 404 - "-" "Cyberduck/4.3 (10948) (Windows 7/6.1) (x86)" 1686
mediaconsole.pearsoncmg.com:2013_05_01:console1:access.log:192.251.134.5 - uhubewi [01/May/2013:15:56:35 -0400] "HEAD /mdc/dav/media/ HTTP/1.1" 404 - "-" "Cyberduck/4.3 (10948) (Windows 7/6.1) (x86)" 1861
mediaconsole.pearsoncmg.com:2013_05_01:console1:access.log:192.251.134.5 - uhubewi [01/May/2013:15:56:39 -0400] "HEAD /mdc/dav/media/ HTTP/1.1" 404 - "-" "Cyberduck/4.3 (10948) (Windows 7/6.1) (x86)" 1822

Last edited on May 1, 2013 at 8:32:00 PM by dkocher (previous) (diff)

comment:3 in reply to: ↑ 2 Changed on May 1, 2013 at 8:33:19 PM by dkocher

Replying to billhuber01:

I don't have any idea what a log drawer is. If Cyberduck has a log, I don't know about it (but would like to).

Yes, there is a log drawer where you can find the connection transcript.

comment:4 in reply to: ↑ 2 Changed on May 1, 2013 at 8:39:53 PM by dkocher

Replying to billhuber01:

Examples of the access log from the Apache web server are as follows:

mediaconsole.pearsoncmg.com:2013_05_01:console1:access.log:192.251.134.5 - uhubewi [01/May/2013:15:52:09 -0400] "HEAD /mdc/dav/media/ HTTP/1.1" 404 - "-" "Cyberduck/4.3 (10948) (Windows 7/6.1) (x86)" 1686
mediaconsole.pearsoncmg.com:2013_05_01:console1:access.log:192.251.134.5 - uhubewi [01/May/2013:15:56:35 -0400] "HEAD /mdc/dav/media/ HTTP/1.1" 404 - "-" "Cyberduck/4.3 (10948) (Windows 7/6.1) (x86)" 1861
mediaconsole.pearsoncmg.com:2013_05_01:console1:access.log:192.251.134.5 - uhubewi [01/May/2013:15:56:39 -0400] "HEAD /mdc/dav/media/ HTTP/1.1" 404 - "-" "Cyberduck/4.3 (10948) (Windows 7/6.1) (x86)" 1822

  • If the path /mdc/dav/media/ to your web server is not valid, check your connection or bookmark settings. Change the path property which determines the initial working directory when connecting to the server.
  • If the path /mdc/dav/media/ is a valid resource, the server should not return a 404 response. Check that HEAD is an accepted method the server handles and returns a 200 response.

We have changed the check of valid authentication credentials in 4.3 that we first try a HEAD request that the server must acknowledge to know that we have valid authentication tokens before we issue a PROPFIND request to request the directory listing. See #7139.

comment:5 Changed on May 1, 2013 at 8:47:45 PM by billhuber01

I still don't know where the content of the log drawer is. The only description is the following:

Choose View → Toggle Log Drawer (⌘-L) to open the log drawer. Events are only logged once the drawer is open.

Yes, I can click on View and Toggle Log Drawer, but I have no idea where any log output is. Where is it and exactly how do I look at it? Thank you.

comment:6 Changed on May 2, 2013 at 12:52:20 PM by dkocher

  • Summary changed from Unable to open WebDAV connection with Cyberduck 4.3 to 404 response for HEAD request

comment:8 Changed on May 2, 2013 at 8:36:21 PM by dkocher

#7200 closed as duplicate.

comment:9 Changed on May 2, 2013 at 8:36:29 PM by dkocher

  • Milestone set to 4.3.1

comment:10 Changed on May 3, 2013 at 9:05:59 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

I have installed nuxeo-cap-5.6-tomcat locally for testing and can login with no issues.

HEAD /nuxeo/site/dav/ HTTP/1.1
Host: localhost:8080
Connection: Keep-Alive
User-Agent: Cyberduck/4.3 (Mac OS X/10.8.3) (x86_64)
Authorization: Basic YW5vbnltb3VzOmN5YmVyZHVja0BleGFtcGxlLm5ldA==
HTTP/1.1 401 Unauthorized
Server: Apache-Coyote/1.1
WWW-Authenticate: Digest realm="NUXEO", qop="auth", nonce="MTM2NzU3Mjc4MzQ2MTowYzhjMjRjNTgxM2I3YzRiMzI5YTY2MzkxZjZmYzAxOA=="
Content-Type: text/html;charset=utf-8
Content-Length: 954
Date: Fri, 03 May 2013 09:03:02 GMT
HEAD /nuxeo/site/dav/ HTTP/1.1
Host: localhost:8080
Connection: Keep-Alive
User-Agent: Cyberduck/4.3 (Mac OS X/10.8.3) (x86_64)
Authorization: Digest username="anonymous", realm="NUXEO", nonce="MTM2NzU3Mjc4MzQ2MTowYzhjMjRjNTgxM2I3YzRiMzI5YTY2MzkxZjZmYzAxOA==", uri="/nuxeo/site/dav/", response="b757d505e7859478824d974e90ec4c82", qop=auth, nc=00000001, cnonce="d5bf8d6bf4dbd055", algorithm="MD5"
HTTP/1.1 401 Unauthorized
Server: Apache-Coyote/1.1
WWW-Authenticate: Digest realm="NUXEO", qop="auth", nonce="MTM2NzU3Mjc4MzUyMTo2ZTMxZmZjYTAxMTVlMzQxYzQ2N2U5ZGU5ZDdiNWJlOA=="
Content-Type: text/html;charset=utf-8
Content-Length: 954
Date: Fri, 03 May 2013 09:03:02 GMT
HEAD /nuxeo/site/dav/ HTTP/1.1
Host: localhost:8080
Connection: Keep-Alive
User-Agent: Cyberduck/4.3 (Mac OS X/10.8.3) (x86_64)
Authorization: Basic QWRtaW5pc3RyYXRvcjpBZG1pbmlzdHJhdG9y
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Content-Type: text/html
Content-Length: 0
Date: Fri, 03 May 2013 09:03:20 GMT
PROPFIND /nuxeo/site/dav/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: localhost:8080
Connection: Keep-Alive
User-Agent: Cyberduck/4.3 (Mac OS X/10.8.3) (x86_64)
Authorization: Basic QWRtaW5pc3RyYXRvcjpBZG1pbmlzdHJhdG9y
HTTP/1.1 207 Multi-Status
Server: Apache-Coyote/1.1
Content-Type: application/xml
Content-Length: 1067
Date: Fri, 03 May 2013 09:03:20 GMT
PROPFIND /nuxeo/site/dav/Administrator/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: localhost:8080
Connection: Keep-Alive
User-Agent: Cyberduck/4.3 (Mac OS X/10.8.3) (x86_64)
Authorization: Basic QWRtaW5pc3RyYXRvcjpBZG1pbmlzdHJhdG9y
HTTP/1.1 207 Multi-Status
Server: Apache-Coyote/1.1
Content-Type: application/xml
Content-Length: 625
Date: Fri, 03 May 2013 09:03:24 GMT

I suppose this is a configuration issue.

comment:11 Changed on May 6, 2013 at 10:09:30 AM by dkocher

#7219 closed as duplicate.

comment:12 Changed on Sep 11, 2013 at 6:37:04 PM by jrifkin

Here's a work-around for Apache, and a suggestion for Cyberduck.

Cyberduck version pre-4.3 would open a connection using the OPTIONS method on the directory. Apache worked well with that. Newer Cyberduck versions open a connection using the HEAD method on a directory, which leads to problem with some Apache installations.

If Apache is configured to provide an index file for the directory (using the Apache DirectoryIndex directive or the Options +Index directive) then a code 200 by the HEAD method on a direcotry, and Cyberduck 4.3+ works fine. If no index file is server for a directory, then some Apache versions/configurations return a 404 code, which Cyberduck 4.3+ takes as a failure. Other Apache versions/configurations return a 403 code, which Cyberduck 4.3+ handles fine.

If your Apache has the problem and returns code 404, which you can see in this Apache access log entry,

XXX.XXX.XXX.XXX - myuserj [11/Sep/2013:13:05:29 -0400] "HEAD /mysite/ HTTP/1.1" 404 - "-" "Cyberduck/4.3.1 (Mac OS X/10.8.4) (i386)"

then you can get Cyberduck working by configuring DirectoryIndex and putting the appropriate index file in your directory (for example, index.html) or configure mod_index and Options +Index.

Also, it looks like Cyberduck could be modified to work again with such Apache installations by either reverting to the OPTIONS method when opening a connection, or handling the 404 return code the same way it handles the 403 return code.

Note: See TracTickets for help on using tickets.
swiss made software